Subject: Re: Possible Bug in git-http-push

From: [email-masked]
Date: Sun, 12 Apr 2015 12:24:42 +0200

Am 10.04.2015 um 18:55 schrieb Thomas Braun:
> Am 10.04.2015 um 13:15 schrieb Stefan:
>> Hello List
>>
>> I possibly found a bug in git-http-push:
>>
>> When I push my local repo via http secured with basic authorization,
>> then i get:
>>
>> error: Cannot access URL https://example.ch/example_repo/, return code 22
>> fatal: git-http-push failed
>> Pushing to https://example.ch/example_repo/
>>
>> My server log gives PROPPFIND 401, so i seems that the PROPPFIND-sent
>> by git-http-push does not use supplied username/pw via prompt
>>
>> Pulling works without problems.
>>
>> When I change remote URL to
>> https://user:[email-masked]/example_repo, pushing works.
>>
>> I'm using git version 1.9.5.msysgit.1
> Hi Stefan (CC'ing the msysgit list as this might be windows specific),
>
> can you determine the last version which worked?
>
> And can you create a minimal working example for us to reproduce the
> problem?
>
> We already have a couple of problems with the new curl version together
> with our ancient openssl.
>
> Thomas
>
>
Hi Thomas

I stuck on this problem because i moved my git-server and did some
reconfiguring.

Here an working config

[core]
    repositoryformatversion = 0
    filemode = false
    bare = false
    logallrefupdates = true
    symlinks = false
    ignorecase = true
    hideDotFiles = dotGitOnly
[remote "origin"]
    url = https://user:[email-masked]/project
    fetch = +refs/heads/*:refs/remotes/origin/*
[branch "master"]
    remote = origin
    merge = refs/heads/master

And here an non-working one:

[core]
    repositoryformatversion = 0
    filemode = false
    bare = false
    logallrefupdates = true
    symlinks = false
    ignorecase = true
    hideDotFiles = dotGitOnly
[remote "origin"]
    url = https://git.example.ch/project
    fetch = +refs/heads/*:refs/remotes/origin/*
[branch "master"]
    remote = origin
    merge = refs/heads/master

Hope this helps

Greetz
Stefan